Subject: Re: Bug#900776: gnome-shell: crash on wayland when logind locks session after idle-time

From: Simon McVittie <[email-masked]>
Date: Tue, 26 Jun 2018 08:52:27 +0100

Control: tags -1 + moreinfo

On Mon, 25 Jun 2018 at 22:51:54 +0200, Uwe Kleine-König wrote:
> I didn't install all dbgsym packages that find-dbgsym-packages suggested
> because my system is somewhere between [stretch] and unstable and I would
> need to pick the right dbgsym packages from snapshot.d.o.

Please send the information from `reportbug --template gnome-shell` so
that we know which dependencies are up to date with unstable and which
are not.

> #0  0x00007fba077bed12 in g_type_check_instance_cast (type_instance=0x5583678164b0, iface_type=94022861577152) at ../../../../gobject/gtype.c:4057
>         is_instantiatable = <optimized out>
>         check = <optimized out>
> #1  0x00007fba04f2b998 in st_label_set_text (label=0x558368173c60 [StLabel], text=0x55836ac42850 "44°C") at ../src/st/st-label.c:331
>         priv = 0x558368173800
>         ctext = <optimized out>
>         __func__ = "st_label_set_text"

Source code of line 331: ctext = CLUTTER_TEXT (priv->label);

Something in JavaScript code (we can't tell what) is calling set_text() on
a StLabel at a time when its associated ClutterText is a dangling pointer
or has already been freed; and it is setting the label to "44°C". If
this happens when the screen locks, then I suspect an extension might
not be getting unloaded correctly. The mention of a temperature makes
me wonder about gnome-system-monitor.

Which GNOME Shell extensions, if any, do you have enabled and
installed? Please run:

    dconf read /org/gnome/shell/enabled-extensions
    ls ~/.local/share/gnome-shell/extensions
    ls /usr/share/gnome-shell/extensions

Jakobus: please do the same?

Thanks,
    smcv